PickedItemEvent (gCube Pick Item Widget 1.1.0-SNAPSHOT API)
Date: 2016-06-30

org.gcube.portlets.widgets.pickitem.client.events

## Class PickedItemEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<PickedItemEventHandler>
    - - org.gcube.portlets.widgets.pickitem.client.events.PickedItemEvent

-     public class PickedItemEvent
      extends com.google.gwt.event.shared.GwtEvent<PickedItemEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<PickedItemEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickedItemEvent(ItemBean item, char triggerChar, int itemCursorIndexStart, int itemCursorIndexEnd)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(PickedItemEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<PickedItemEventHandler>` | `getAssociatedType()`
    `int` | `getItemCursorIndexEnd()`
    `int` | `getItemCursorIndexStart()`
    `ItemBean` | `getSelectedItem()`
    `char` | `getTriggerChar()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<PickedItemEventHandler> TYPE

  - ### Constructor Detail

    - #### PickedItemEvent

          public PickedItemEvent(ItemBean item,
                         char triggerChar,
                         int itemCursorIndexStart,
                         int itemCursorIndexEnd)

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<PickedItemEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<PickedItemEventHandler>`

    - #### dispatch

          protected void dispatch(PickedItemEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<PickedItemEventHandler>`

    - #### getItemCursorIndexStart

          public int getItemCursorIndexStart()

    - #### getItemCursorIndexEnd

          public int getItemCursorIndexEnd()

    - #### getSelectedItem

          public ItemBean getSelectedItem()

    - #### getTriggerChar

          public char getTriggerChar()

Copyright © 2016. All Rights Reserved.